tigase.db

## Enum DataRepository.dbTypes

- java.lang.Object
- - java.lang.Enum<DataRepository.dbTypes>
  - - tigase.db.DataRepository.dbTypes

- All Implemented Interfaces:
    Serializable, Comparable<DataRepository.dbTypes>
  Enclosing interface:
    DataRepository

      public static enum DataRepository.dbTypes
      extends Enum<DataRepository.dbTypes>

  Helper enumeration with types of supported databases.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `derby`
    `jtds`
    `mysql`
    `other`
    `postgresql`
    `sqlserver`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataRepository.dbTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataRepository.dbTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### derby

          public static final DataRepository.dbTypes derby

    - #### mysql

          public static final DataRepository.dbTypes mysql

    - #### postgresql

          public static final DataRepository.dbTypes postgresql

    - #### jtds

          public static final DataRepository.dbTypes jtds

    - #### sqlserver

          public static final DataRepository.dbTypes sqlserver

    - #### other

          public static final DataRepository.dbTypes other

  - ### Method Detail

    - #### values

          public static DataRepository.dbTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataRepository.dbTypes c : DataRepository.dbTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataRepository.dbTypes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.